---
lang: en
title: 'API docs: socketio.socketiocontrollerfactory'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiocontrollerfactory.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoControllerFactory](./socketio.socketiocontrollerfactory.md)

## SocketIoControllerFactory class

A factory to instantiate socket.io controllers

**Signature:**

```typescript
export declare class SocketIoControllerFactory 
```

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(parentCtx, controllerClass, socket)](./socketio.socketiocontrollerfactory._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `SocketIoControllerFactory` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[connCtx](./socketio.socketiocontrollerfactory.connctx.md)


</td><td>

`readonly`


</td><td>

[SocketIoConnectionContext](./socketio.socketioconnectioncontext.md)


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[connect()](./socketio.socketiocontrollerfactory.connect.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[create()](./socketio.socketiocontrollerfactory.create.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[getAllMethodMetadataForKey(metadataAccessor)](./socketio.socketiocontrollerfactory.getallmethodmetadataforkey.md)


</td><td>

`protected`


</td><td>


</td></tr>
<tr><td>

[getCallback(methodName)](./socketio.socketiocontrollerfactory.getcallback.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[getDecoratedMethodsForConnect()](./socketio.socketiocontrollerfactory.getdecoratedmethodsforconnect.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[getDecorateSubscribeMethods()](./socketio.socketiocontrollerfactory.getdecoratesubscribemethods.md)


</td><td>

`protected`


</td><td>


</td></tr>
<tr><td>

[getDecorateSubscribeMethodsByEventName()](./socketio.socketiocontrollerfactory.getdecoratesubscribemethodsbyeventname.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[registerSubscribeMethods()](./socketio.socketiocontrollerfactory.registersubscribemethods.md)


</td><td>

`protected`


</td><td>


</td></tr>
<tr><td>

[setup()](./socketio.socketiocontrollerfactory.setup.md)


</td><td>


</td><td>

Set up the controller for the given socket


</td></tr>
</tbody></table>

